@ECHO OFF
REM Author: Neemobeer
REM Date: 9/27/2016
REM Updated: 10/17/2017
REM This script will gather non-personal network information to help
REM diagnose network related problems

SET LOG_FILE=%USERPROFILE%\Desktop\network_information.txt


ECHO Gathering ipconfig information...
ECHO Start Time: %DATE% - %TIME% > %LOG_FILE%
ECHO =========================================== >> %LOG_FILE%
ECHO ===============  IP CONFIG  =============== >> %LOG_FILE%
ECHO =========================================== >> %LOG_FILE%
IPCONFIG /ALL >> %LOG_FILE%
ECHO =========================================== >> %LOG_FILE%
ECHO =========================================== >> %LOG_FILE%
ECHO =========================================== >> %LOG_FILE%
ECHO. >> %LOG_FILE%
ECHO. >> %LOG_FILE%

ECHO Gathering arp cache...
ECHO =========================================== >> %LOG_FILE%
ECHO ===============  ARP CACHE  =============== >> %LOG_FILE%
ECHO =========================================== >> %LOG_FILE%
ARP -A -V >> %LOG_FILE%
ECHO =========================================== >> %LOG_FILE%
ECHO =========================================== >> %LOG_FILE%
ECHO =========================================== >> %LOG_FILE%
ECHO. >> %LOG_FILE%
ECHO. >> %LOG_FILE%

ECHO Gathering WINS cache...
ECHO =========================================== >> %LOG_FILE%
ECHO ===============  WINS CACHE  ============== >> %LOG_FILE%
ECHO =========================================== >> %LOG_FILE%
NBTSTAT -r >> %LOG_FILE%
ECHO. >> %LOG_FILE%
NBTSTAT -s >> %LOG_FILE%
ECHO =========================================== >> %LOG_FILE%
ECHO =========================================== >> %LOG_FILE%
ECHO =========================================== >> %LOG_FILE%
ECHO. >> %LOG_FILE%
ECHO. >> %LOG_FILE%

ECHO Gathering Proxy Settings...
ECHO =========================================== >> %LOG_FILE%
ECHO =============  PROXY SETTINGS ============= >> %LOG_FILE%
ECHO =========================================== >> %LOG_FILE%
REG query "HKCU\Software\Microsoft\Windows\CurrentVersion\Internet Settings" >> %LOG_FILE%
ECHO =========================================== >> %LOG_FILE%
ECHO =========================================== >> %LOG_FILE%
ECHO =========================================== >> %LOG_FILE%
ECHO. >> %LOG_FILE%
ECHO. >> %LOG_FILE%

ECHO Grabbing hosts entries...
ECHO =========================================== >> %LOG_FILE%
ECHO ===============  HOSTS FILE =============== >> %LOG_FILE%
ECHO =========================================== >> %LOG_FILE%
TYPE C:\Windows\System32\drivers\etc\hosts >> %LOG_FILE%
ECHO =========================================== >> %LOG_FILE%
ECHO =========================================== >> %LOG_FILE%
ECHO =========================================== >> %LOG_FILE%
ECHO. >> %LOG_FILE%
ECHO. >> %LOG_FILE%

ECHO Running ping tests...
ECHO =========================================== >> %LOG_FILE%
ECHO ===============  PING TESTs =============== >> %LOG_FILE%
ECHO =========================================== >> %LOG_FILE%
PING google.com >> %LOG_FILE%
ECHO. >> %LOG_FILE%
PING 8.8.8.8 >> %LOG_FILE%
ECHO. >> %LOG_FILE%
TRACERT -h 2 8.8.8.8 >> %LOG_FILE%
ECHO =========================================== >> %LOG_FILE%
ECHO =========================================== >> %LOG_FILE%
ECHO =========================================== >> %LOG_FILE%
ECHO. >> %LOG_FILE%
ECHO. >> %LOG_FILE%

ECHO Running DNS tests...
ECHO =========================================== >> %LOG_FILE%
ECHO ===============  DNS TESTs  =============== >> %LOG_FILE%
ECHO =========================================== >> %LOG_FILE%
IPCONFIG /FLUSHDNS
ECHO Testing currently configured DNS Server
NSLOOKUP -type=a google.com >> >> %LOG_FILE%
NSLOOKUP -type=a facebook.com >> %LOG_FILE%

ECHO Testing against different public DNS servers
ECHO Testing against google (8.8.8.8)
NSLOOKUP -type=a google.com 8.8.8.8 >> %LOG_FILE%
NSLOOKUP -type=a facebook.com 8.8.8.8 >> %LOG_FILE%

IPCONFIG /FLUSHDNS
ECHO Testing against DNS WATCH (84.200.69.80)
NSLOOKUP -type=a google.com 84.200.69.80 >> %LOG_FILE%
NSLOOKUP -type=a facebook.com 84.200.69.80 >> %LOG_FILE%

IPCONFIG /FLUSHDNS
ECHO Testing against Comodo (8.26.56.26)
NSLOOKUP -type=a google.com 8.26.56.26 >> %LOG_FILE%
ECHO =========================================== >> %LOG_FILE%
ECHO =========================================== >> %LOG_FILE%
ECHO =========================================== >> %LOG_FILE%
ECHO. >> %LOG_FILE%
ECHO. >> %LOG_FILE%

ECHO Gathering network adapter settings...
ECHO =========================================== >> %LOG_FILE%
ECHO ============  NETWORK ADAPTERS ============ >> %LOG_FILE%
ECHO =========================================== >> %LOG_FILE%
WMIC nic where physicaladapter=TRUE get productname,availability,configmanagererrorcode,errorcleared,errordescription,lasterrorcode,netconnectionstatus,netenabled >> %LOG_FILE%
ECHO =========================================== >> %LOG_FILE%
ECHO =========================================== >> %LOG_FILE%
ECHO =========================================== >> %LOG_FILE%
ECHO. >> %LOG_FILE%
ECHO. >> %LOG_FILE%

ECHO Gathering NETSH dump...
ECHO =========================================== >> %LOG_FILE%
ECHO ===============  NETSH DUMP =============== >> %LOG_FILE%
ECHO =========================================== >> %LOG_FILE%
NETSH LAN SHOW PROFILE >> %LOG_FILE%
ECHO. >> %LOG_FILE%
NETSH WLAN SHOW ALL >> %LOG_FILE%
ECHO =========================================== >> %LOG_FILE%
ECHO =========================================== >> %LOG_FILE%
ECHO =========================================== >> %LOG_FILE%
ECHO. >> %LOG_FILE%
ECHO. >> %LOG_FILE%

ECHO Gathering WLAN filters...
ECHO =========================================== >> %LOG_FILE%
ECHO ===========  NETSH FILTER DUMP ============ >> %LOG_FILE%
ECHO =========================================== >> %LOG_FILE%
NETSH WLAN SHOW FILTERS >> %LOG_FILE%
ECHO =========================================== >> %LOG_FILE%
ECHO =========================================== >> %LOG_FILE%
ECHO =========================================== >> %LOG_FILE%
ECHO. >> %LOG_FILE%
ECHO. >> %LOG_FILE%

ECHO End Time: %DATE% - %TIME% >> %LOG_FILE%

